Skip to main content
GET
/
api
/
integrations
/
webhooks
/
subscriptions
/
{subscription_id}
/
deliveries
List Subscription Deliveries
curl --request GET \
  --url https://mm-midmarket-integrations-api-preview.azurewebsites.net/api/integrations/webhooks/subscriptions/{subscription_id}/deliveries \
  --header 'X-API-Key: <api-key>'
{
  "attempts": [
    {
      "id": "<string>",
      "status": "<string>",
      "createdAt": "<string>",
      "responseStatus": 123,
      "eventId": "<string>"
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
default:sk_live_your_api_key_here
required

Workspace-scoped API key. Format: sk_live_{64 hex chars}

Path Parameters

subscription_id
string<uuid>
required

Query Parameters

status_filter
string | null
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

Response model for listing webhook delivery attempts.

attempts
WebhookDeliveryAttemptResponse · object[]
required

List of delivery attempts

total
integer
required

Total number of attempts returned